petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatNestSetSubMat

Set a single submatrix in the nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestSetSubMat(Mat A,PetscInt idxm,PetscInt jdxm,Mat sub)

Logically collective on the submatrix communicator Many br

### Input Parameters

| A | - nest matrix Many br
| idxm | - index of the matrix within the nest matrix Many br
| jdxm | - index of the matrix within the nest matrix Many br
| sub | - matrix at index idxm,jdxm within the nest matrix Many br

### Notes

The new submatrix must have the same size and communicator as that block of the nest. Many br

This increments the reference count of the submatrix. Many br

Many br

### See Also

MatNestSetSubMats(), MatNestGetSubMat()

Level:developer
Location:src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages